org.apache.lucene.luke.models.overview

## Class TermStats

- java.lang.Object
- - org.apache.lucene.luke.models.overview.TermStats

-     public final class TermStats
      extends Object

  Holder for statistics for a term in a specific field.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDecodedTermText()` Returns the string representation for this term.
    `int` | `getDocFreq()` Returns the document frequency of this term.
    `String` | `getField()` Returns the field name.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDecodedTermText

          public String getDecodedTermText()

      Returns the string representation for this term.

    - #### getField

          public String getField()

      Returns the field name.

    - #### getDocFreq

          public int getDocFreq()

      Returns the document frequency of this term.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.